package com.jscape.inet.sftp.protocol.v3.messages;

/**
 * @author Alex Usun
 */
public enum StatusCode {

    SSH_FX_OK(0),
    SSH_FX_EOF(1),
    SSH_FX_NO_SUCH_FILE(2),
    SSH_FX_PERMISSION_DENIED(3),
    SSH_FX_FAILURE(4),
    SSH_FX_BAD_MESSAGE(5),
    SSH_FX_OP_UNSUPPORTED(8);

    public final int code;

    StatusCode(int code) {
        this.code = code;
    }
}
